List cloned voices
curl --request POST \
--url https://api.vmeg.ai/openapi/v1/assets/voice/clone/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"voiceId": "<string>",
"voiceIds": [
"<string>"
],
"searchName": "<string>",
"currentPage": 1,
"pageSize": 10,
"orderBy": "<string>",
"order": "desc"
}
'import requests
url = "https://api.vmeg.ai/openapi/v1/assets/voice/clone/list"
payload = {
"voiceId": "<string>",
"voiceIds": ["<string>"],
"searchName": "<string>",
"currentPage": 1,
"pageSize": 10,
"orderBy": "<string>",
"order": "desc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
voiceId: '<string>',
voiceIds: ['<string>'],
searchName: '<string>',
currentPage: 1,
pageSize: 10,
orderBy: '<string>',
order: 'desc'
})
};
fetch('https://api.vmeg.ai/openapi/v1/assets/voice/clone/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "",
"data": {
"records": [
{
"voiceId": "<string>",
"name": "<string>",
"provider": "<string>",
"exampleLanguage": "<string>",
"content": "<string>",
"audio": "<string>",
"taskId": "<string>",
"createTime": "<string>",
"updateTime": "<string>"
}
],
"total": 123
}
}Voices (presets and clones)
List cloned voices
List cloned voices created by Voice clone. See Voices.
POST
/
openapi
/
v1
/
assets
/
voice
/
clone
/
list
List cloned voices
Authorizations
Send your API Key in the Authorization header (Bearer <api_key>). See Authentication.
Body
application/json
Search by clone name
Page number (1-based)
Page size
voiceId / name / create_time / update_time
Sort direction: asc or desc
⌘I

